mld_group Struct Reference

`#include <mld6.h>`

## Data Fields

struct mld_group * | next
ip6_addr_t | group_address
u8_t | last_reporter_flag
u8_t | group_state
u16_t | timer
u8_t | use

## Detailed Description

MLD group

## Field Documentation

## group_address

ip6_addr_t mld_group::group_address

multicast address

## group_state

u8_t mld_group::group_state

current state of the group

## last_reporter_flag

u8_t mld_group::last_reporter_flag

signifies we were the last person to report

## next

struct mld_group* mld_group::next

next link

## timer

u16_t mld_group::timer

timer for reporting

## use

u8_t mld_group::use

counter of simultaneous uses

The documentation for this struct was generated from the following file:

- src/include/lwip/mld6.h